(bind-keys 
 ([remap switch-to-buffer] . consult-buffer)
 ([remap switch-to-buffer-other-window] . consult-buffer-other-window)
 ([remap yank-pop] . consult-yank-pop)
 ([remap bookmark-jump] . consult-bookmark)
 ([remap repeat-complex-command] . consult-complex-command)
 ([remap project-switch-to-buffer] . consult-project-buffer)
 ([remap goto-line] . consult-goto-line)
 ([remap next-matching-history-element] . consult-history)
 ([remap prev-matching-history-element] . consult-history)
 ([remap isearch-edit-string] . consult-isearch-history)
 ("C-c h" . consult-history)
 ("C-c i" . consult-info)
 ("C-c M-x" . consult-mode-command)
 ("C-c k" . consult-kmacro)
 ("M-#" . consult-register-load)
 ("M-'" . consult-register-store)
 ("C-M-#" . consult-register)
 :map project-prefix-map
 ("i" . consult-project-imenu)
 :map goto-map
 ("e" . consult-compile-error)
 ("i" . consult-imenu)
 ("I" . consult-imenu-multi)
 ("k" . consult-global-mark)
 ("l" . consult-line)
 ("m" . consult-mark)
 ("o" . consult-outline)
 :map search-map
 ("G" . consult-git-grep)
 ("L" . consult-line-multi)
 ("b" . flush-blank-lines)
 ("d" . consult-find)
 ("e" . consult-isearch-history)
 ("g" . consult-grep)
 ("k" . consult-keep-lines)
 ("l" . consult-line)
 ("r" . consult-ripgrep)
 ("u" . consult-focus-lines)
 :map isearch-mode-map
 ("M-e" . consult-isearch-history)
 ("M-s e" . consult-isearch-history)
 ("M-s l" . consult-line)
 ("M-s L" . consult-line-multi)
 :map minibuffer-local-map
 ("M-s" . consult-history)
 ("M-r" . consult-history)
 :map help-map
 ("M" . consult-man))
